
package icsTables;

import org.w3c.dom.*;

/**
 * Represents the MOC Notification ICS Table
 * @author MC
 */
public class ICSMOCNotificationTableModel extends ICSTableModel{
    
    /** Creates a new instance of ICSTableMOCNotification 
     * @param strXMLFile
     * */
    public ICSMOCNotificationTableModel(String strXMLFile) {
        super(strXMLFile);
        init();
    }
    /**
     * @see icsTables.ICSTableModel#init()
     */
    public void init(){
    	strTitle = "MOC Notification ICS";
        strTableName = "Table 10.6";
        strDescription = "The MOC Notification ICS specifies all implemented notifications that are emitted by supported objects.";
        //strXmlFileName = "..\\xml\\ICS-Tool.xml";
        strXsltFileName = "..\\XSLT\\MocNotificationIcs1.xsl";
    }
    /** Creates a new instance of ICSTableMOCNotification 
     * @param doc
     * */
    public ICSMOCNotificationTableModel(Document doc) {
        super(doc);
        init();
    }
}
